Orpheus (English)
curl --request POST \
--url https://api.slng.ai/v1/tts/slng/canopylabs/orpheus:en \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"voice": "tara",
"prompt": "Hello, this is a test of text to speech synthesis."
}
'import requests
url = "https://api.slng.ai/v1/tts/slng/canopylabs/orpheus:en"
payload = {
"voice": "tara",
"prompt": "Hello, this is a test of text to speech synthesis."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({voice: 'tara', prompt: 'Hello, this is a test of text to speech synthesis.'})
};
fetch('https://api.slng.ai/v1/tts/slng/canopylabs/orpheus:en', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": "Validation error",
"details": "Missing required field: text"
}{
"error": "TTS service error",
"status": 400,
"details": "Rime TTS API error: 400 Bad Request - Invalid argument: Invalid speaker: aurelie"
}{
"error": "Service error",
"details": "Internal processing error"
}{
"error": "TTS service error",
"status": 400,
"details": "Rime TTS API error: 400 Bad Request - Invalid argument: Invalid speaker: aurelie"
}Orpheus English
Orpheus (English)
Synthesize speech using Orpheus with emotion control.
POST
/
v1
/
tts
/
slng
/
canopylabs
/
orpheus:en
Orpheus (English)
Authorizations
API key issued by SLNG. Pass as Authorization: Bearer <token>.
Headers
Target world part override. Auto-selected if not provided.
Available options:
eu Body
application/json
Text to synthesize (legacy, use prompt).
Minimum string length:
1Voice identifier.
Available options:
tara, leah, jess, leo, dan, mia, zac, zoe Speed multiplier (0.5-2.0).
Required range:
0.5 <= x <= 2Text to synthesize.
Minimum string length:
1Enable streaming response.
Emotion to apply.
Available options:
neutral, happy, sad, angry, surprised Response
Synthesis successful.
Binary audio data.
Was this page helpful?
⌘I